if ( typeof(Libero.News) == "undefined" ) {
	Libero.News = {};
}

// Class skeleton
Libero.News.FE = Class.create();

// Class version (optionally)
Libero.News.FE.Version = '0.03';
Libero.News.FE.prototype = {
	// Initialization method
	initialize: function() {
		this.params = Object.extend({
			// default values
			debug: false,
			selReg: -1,
			regions: []
		}, arguments[0]);
		// Checks mandatory params...
	},

	// class method
	myMethod: function() {
		var args = Object.extend({
			// default values
			debug: this.params.debug
		}, arguments[0]);
		// Checks mandatory params...
	},

	getRegionsOrder: function() {
		var args = Object.extend({
			// default values
			debug: this.params.debug,
			region: this.params.selReg,
			type: 'n',
			regionsList: this.params.regions
		}, arguments[0]);

		// Checks mandatory params...
		if ( isNaN(args.region) || args.region >= args.regionsList.length || args.region < 0 ) 
			args.region = 8;
		
		if ( ! /^(l|n)$/.test(args.type) ) 
			args.type = 'n';

		var list = [];

		// builds region list with right 'order'
		for (var i = 0, len = args.regionsList.length; i < len; i++) {
			list[i] = { code: args.regionsList[i].code, name: args.regionsList[i].name, pos: i+1, order: i == args.region ? 1 : args.regionsList[i][args.type] + ( args.regionsList[i][args.type] < args.regionsList[args.region][args.type] ) };
		}
		return {
			// Schwartzian transform (over 'order')
			regioni: list.sort( function (a, b) { return a.order < b.order ? -1 : ( a.order > b.order ? 1 : 0 ) } ),
			selectedRegion: args.region + 1
		};
	},
	
	getRegionsOrderForCity: function() {
		return this.getRegionsOrder( Object.extend( { type: 'l' }, arguments[0] ) );
	}
	
};

